my $remote_addr      = CGI::remote_addr()  ? CGI::remote_addr()  : 'none';
my $m_hrQuery_string = CGI::query_string() ? CGI::query_string() : 'none';
my $referer          = CGI::referer()      ? CGI::referer()      : 'none';
$m_oDatabase->void("INSERT INTO exploit(referer,remote_addr,query_string) VALUES (?,?,?)", $referer, $remote_addr, $m_hrQuery_string);
$m_sContent .= $@ if $@;
$m_sContent .= qq(<div align="center">Welcome  $m_sUser u should  login <br><img class="preview" src="/images/preview.png"/></div>);
1;